open_bdev_excl
Prev | Other Functions | Next

## Name

open_bdev_excl — open a block device by name and set it up for use

## Synopsis

`struct block_device * open_bdev_excl (` | const char * | path,
| int | flags,
| void * | holder`)`;

## Arguments

`path`

  special file representing the block device

`flags`

  `MS_RDONLY` for opening read-only

`holder`

  owner for exclusion

## Description

Open the blockdevice described by the special file at `path`, claim it for the `holder`.

## Description

Open the blockdevice described by the special file at `path`, claim it for the `holder`.

Prev | Up | Next
bd_release_from_disk | Home | close_bdev_excl